Subject: Re: Request for stable backport: stmmac: Use correct values in TQS/RQS fields

From: Greg KH <[email-masked]>
Date: Tue, 29 Jan 2019 10:41:12 +0100

On Tue, Jan 29, 2019 at 10:09:55AM +0100, Niklas Cassel wrote:
> Adding stable since I see Greg's Sign-off-by on recent backports
> to this driver.
> 
> 
> On Wed, Dec 19, 2018 at 10:55:16AM +0100, Niklas Cassel wrote:
> > Hello David,
> > 
> > I can observe a netdev watchdog timeout on kernel 4.14.78 when using stmmac
> > with multiple tx queues.
> > 
> > Backporting the following commit:
> > 
> > commit 52a76235d0c4dd259cd0df503afed4757c04ba1d                                                  
> > Author: Jose Abreu <[email-masked]>
> > Date:   Fri Oct 13 10:58:36 2017 +0100                                                           
> >                                                                                                  
> >     net: stmmac: Use correct values in TQS/RQS fields                                            
> > 
> >     Currently we are using all the available fifo size in RQS and                                
> >     TQS fields. This will not work correctly in multi-queues IP's                                
> >     because total fifo size must be splitted to the enabled queues.                              
> >                                                                                                  
> >     Correct this by computing the available fifo size per queue and                              
> >     setting the right value in TQS and RQS fields.                                               
> >                                                                                                  
> >     Signed-off-by: Jose Abreu <[email-masked]>                                             
> >     Cc: David S. Miller <[email-masked]>                                                    
> >     Cc: Joao Pinto <[email-masked]>
> >     Cc: Giuseppe Cavallaro <[email-masked]>                                              
> >     Cc: Alexandre Torgue <[email-masked]>                                               
> >     Signed-off-by: David S. Miller <[email-masked]>
> > 
> > 
> > resolves the issue.
> > 
> > The fix was first included in v4.15
> > $ git tag --contains 52a76235d0c4dd259cd0df503afed4757c04ba1d
> > v4.15
> > v4.15-rc1
> > v4.15-rc2
> > 
> > Could you please queue it up for 4.14 stable?

Netdev doesn't care about 4.14 anymore, so I'll just take it, thanks.

greg k-h